<app-header></app-header>

<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="handleRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <app-body-header>
    <ion-icon name="clipboard"></ion-icon>
  </app-body-header>
  <ion-row class="titlePage">
    <h3>{{title}}</h3>
  </ion-row>
  <ion-grid>
    <app-custom-card [class]="title.toLowerCase()">
      <ion-col size="2">
        <ion-icon color="danger" class="d-none" name="ban"></ion-icon>
      </ion-col>
      <ion-col size="8" class="d-block">
        <ion-label class="ion-margin-vertical">{{request.hash_code}}</ion-label>
      </ion-col>
      <ion-col size="2">
        <ion-icon
          color="success"
          class="d-none"
          name="checkmark-circle"></ion-icon>
      </ion-col>
    </app-custom-card>
    <div class="box">
      <ion-accordion-group>

        <app-tab-approval-info [request]="request">
        </app-tab-approval-info>

        <app-tab-approval-complementos [anexos]="anexos"
          [complemento]="complemento">

        </app-tab-approval-complementos>

        <app-tab-approval-mapa [request]="request"
          [quadroAprovacao]="quadroAprovacao">

        </app-tab-approval-mapa>

        <app-tab-anx-fornecedores [anexoFornecedores]="anexoFornecedores">
        </app-tab-anx-fornecedores>

        <app-tab-approval-data [quadroAprovacao]="quadroAprovacao">
        </app-tab-approval-data>

        <app-tab-approval-empresa [empresa]="empresa">
        </app-tab-approval-empresa>

        <ion-accordion *ngIf="servicos" value="servicos">
          <ion-item slot="header" color="light">
            <ion-label>Serviços</ion-label>
          </ion-item>
          <div class="ion-padding" slot="content">
            <ion-card class="box-dados">
              <div class="content-dados">
                <ion-list>
                  <ion-item ngfo *ngFor="let serv of servicos">
                    <ion-label>{{serv.nome}}</ion-label>
                    <ion-checkbox slot="start" [(ngModel)]="serv.checked"></ion-checkbox>
                  </ion-item>
                </ion-list>
              </div>
            </ion-card>
          </div>
        </ion-accordion>
        
      </ion-accordion-group>
    </div>
    <div class="button-actions"
      *ngIf="vezDeAprovar && (vezDeAprovar.fiscal == 1 && duplaValidacao.aguardando == true || vezDeAprovar.fiscal == 0)">
      <ion-button
        class="ion-margin-top"
        color="danger"
        type="submit"
        id="open-modal-reprovar">
        <span *ngIf="vezDeAprovar.fiscal == 0">
          Reprovar
        </span>
        <span *ngIf="vezDeAprovar.fiscal == 1">
          Invalidar
        </span>
      </ion-button>
      <div class="d-flex-end">
        <ion-button
          class="ion-margin-top"
          color="primary"
          type="submit"
          id="open-modal-aprovar">
          <span *ngIf="vezDeAprovar.fiscal == 0">
            Aprovar
          </span>
          <span *ngIf="vezDeAprovar.fiscal == 1">
            Validar
          </span>
        </ion-button>
        <div *ngIf="duplaValidacao.habilitado == true">
          <ion-button *ngIf="vezDeAprovar.fiscal == 1"
            class="ion-margin-top"
            color="primary"
            id="open-modal-dupla-aprov"
            type="submit">
            Dupla Validação
          </ion-button>
        </div>
      </div>

      <ion-modal #modal class="modal-aprovar" trigger="open-modal-aprovar">
        <ng-template>
          <ion-header>
            <ion-toolbar>
              <ion-title>
                <span *ngIf="vezDeAprovar.fiscal == 1">
                  Validar
                </span>
                <span *ngIf="vezDeAprovar.fiscal == 0">
                  Aprovar
                </span>
              </ion-title>
              <ion-buttons slot="end">
                <ion-button (click)="modal.dismiss()">
                  <ion-icon
                    name="close-outline"
                    id="btn-close-modal-aprovar"></ion-icon>
                </ion-button>
              </ion-buttons>
            </ion-toolbar>
          </ion-header>
          <ion-content class="content-modal">
            <div class="ion-padding">
              <ion-item>
                <ion-textarea
                  [(ngModel)]="dataAprovar.motivo"
                  placeholder="Escreva o motivo"
                  [autoGrow]="true"
                  maxlength="100">
                </ion-textarea>
              </ion-item>
              <ion-item class="item-input" onclick="this.children[1].click()">
                <span> Anexar um arquivo</span>
                <input
                  type="file"
                  class="d-none"
                  accept=".pdf,.doc,.docx,.xlsx,.xls,.jpg,.jpeg,.png,.gif"
                  (change)="inputFileChange($event)" />
              </ion-item>
              <div class="box-anexos-upload" *ngIf="nameAnexoUpload">
                <label>
                  <ion-icon name="document-outline"></ion-icon>
                  {{nameAnexoUpload}}
                </label>
                <ion-icon
                  (click)="removeArquivo()"
                  name="trash-outline"
                  color="danger"
                  class="remove-arquivo-icon"></ion-icon>
              </div>
              <div class="actions-modal">
                <ion-button
                  class="button-aprovar-modal"
                  color="primary"
                  type="submit"
                  (click)="aprovarOuReprovar(true)">
                  <span *ngIf="vezDeAprovar.fiscal == 1">
                    Validar
                  </span>
                  <span *ngIf="vezDeAprovar.fiscal == 0">
                    Aprovar
                  </span>
                </ion-button>
              </div>
            </div>
          </ion-content>
        </ng-template>
      </ion-modal>

      <ion-modal
        #modalReprov
        class="modal-reprovar"
        trigger="open-modal-reprovar">
        <ng-template>
          <ion-header>
            <ion-toolbar>
              <ion-title>
                <span *ngIf="vezDeAprovar.fiscal == 1">
                  Invalidar
                </span>
                <span *ngIf="vezDeAprovar.fiscal == 0">
                  Reprovar
                </span>
              </ion-title>
              <ion-buttons slot="end">
                <ion-button (click)="modalReprov.dismiss()">
                  <ion-icon
                    name="close-outline"
                    id="btn-close-modal-reprovar"></ion-icon>
                </ion-button>
              </ion-buttons>
            </ion-toolbar>
          </ion-header>
          <ion-content class="content-modal">
            <div class="ion-padding">
              <ion-item>
                <ion-textarea
                  [(ngModel)]="dataAprovar.motivo"
                  placeholder="Escreva o motivo"
                  [autoGrow]="true"
                  maxlength="100">
                </ion-textarea>
              </ion-item>
              <ion-item class="item-input" onclick="this.children[1].click()">
                <span> Anexar um arquivo</span>
                <input
                  type="file"
                  class="d-none"
                  accept=".pdf,.doc,.docx,.xlsx,.xls,.jpg,.jpeg,.png,.gif"
                  (change)="inputFileChange($event)" />
              </ion-item>
              <div class="box-anexos-upload" *ngIf="nameAnexoUpload">
                <label>
                  <ion-icon name="document-outline"></ion-icon>
                  {{nameAnexoUpload}}
                </label>
                <ion-icon
                  (click)="removeArquivo()"
                  name="trash-outline"
                  color="danger"
                  class="remove-arquivo-icon"></ion-icon>
              </div>
              <div class="actions-modal">
                <ion-button
                  class="button-aprovar-modal"
                  color="danger"
                  type="submit"
                  (click)="aprovarOuReprovar(false)">
                  <span *ngIf="vezDeAprovar.fiscal == 1">
                    Invalidar
                  </span>
                  <span *ngIf="vezDeAprovar.fiscal == 0">
                    Reprovar
                  </span>
                </ion-button>
              </div>
            </div>
          </ion-content>
        </ng-template>
      </ion-modal>

      <ion-modal #modalDuplaAprov class="dupla-aprovacao"
        trigger="open-modal-dupla-aprov">
        <ng-template>
          <ion-header>
            <ion-toolbar>
              <ion-title>
                Dupla Aprovação
              </ion-title>
              <ion-buttons slot="end">
                <ion-button (click)="modalDuplaAprov.dismiss()">
                  <ion-icon
                    name="close-outline"></ion-icon>
                </ion-button>
              </ion-buttons>
            </ion-toolbar>
          </ion-header>
          <ion-content class="content-modal">
            <div class="ion-padding">
              <p>
                Tem certeza que deseja enviar para dupla validação?
              </p>
              <div class="actions-modal">
                <ion-button
                  class="button-aprovar-modal"
                  color="danger"
                  type="submit" (click)="modalDuplaAprov.dismiss()">
                  Cancelar
                </ion-button>
                <ion-button
                  class="button-aprovar-modal"
                  color="primary"
                  type="submit"
                  (click)="enviarDuplaValidacao()">
                  Enviar
                </ion-button>
              </div>
            </div>
          </ion-content>
        </ng-template>
      </ion-modal>
    </div>
  </ion-grid>

</ion-content>
